<?php
// includiamo il DB e creaiamo l'oggetto della classe
require_once 'database'.DIRECTORY_SEPARATOR.'mysqli.php';
$db = new Mysqlimproved;

// sul mio sito io cerco di ricavare il parametro che mi dice su che pagina sono
// per usarlo nell'interrogazione
if(isset($_GET['page'])){
	$page_name = $db->escape($_GET['page']);
} else {
	$page_name = 'home';
}

// preparo la query che estrae i dati relativi alla pagina, da page_name della pagina richiesta
$db->prepare("SELECT * FROM `page_text` WHERE page_name='{$page_name}'");
// eseguo la query
$db->query();
// trasformo i dati estratti in un array per usarlo sulla pagina $row['indice']
if(!$row = $db->fetch('array')) {
	exit('Errore: La pagina richiesta non è disponibile. <br>
			Provate a tornare nella <a href="/?page=home" title="Home del Sito">Home</a> e usare il menu.');
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="keywords" content="<?php echo $row['meta_key']; ?>" />
<meta name="description" content="<?php echo $row['meta_des']; ?>" />
<title><?php echo $row['page_title']; ?></title>
<link href="css/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="wrapper">

<?php include ('blocks/head.php'); ?>

<div id="conteiner">

<?php include ('blocks/leftbar.php'); ?>

<div id="content">
<div id="topcon"></div>
<div id="backcon">
<h3 class="line"><span><?=$row['page_title'];?></span></h3>

<?php echo $row['page_text'];



?>

</div>
<div id="botcon"></div>
</div>
</div>
<?php include('blocks/foot.php'); ?>
</body>
</html>
